 update file ـ researcher step (rejection scenario)

05/02/2021 02:36 PM - Saja Nakhleh

Status: Closed Start date: 05/02/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

the behavior will not same as on the

submission form, observe the video:

https://www.loom.com/share/a9edadf944

d949b2aa628b3c7c81eac4

Severity: Normal Environment: QA

Category: Update file Transaction Number: 149724

Sub-Category:  Username: USR00142/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the behaviour on the bpm step should be

similar to the behavior on the submission

form as follow:

while the serial number is invalid then the

file will be stopped, hence 1. the (تغيير

will be stop and read only  (حالة الملف

2. and the cause will be auto generated :

\ البطاقة المدنية غير قانونية

مسلسل غير صالح

Test Case ID:  

Description

Issue #1:

1. Submit new update task for civil ID (295051500233)

2. Using the supervisor user click reject

3. Open the task using the researcher user

4. add the serial number (2064844805 or 1422025811)

5. Observe the occurred message

6. Navigate to (اجراءات الملف) tab and Observe the (تغيير حالة الملف) field value

History

#1 - 05/05/2021 11:21 AM - Rahaf Khashroom

- Status changed from Open to Feedback

- Assignee changed from Rahaf Khashroom to Mohannad Sabra

Please advice, since you requested that the file status will not be changed in the researcher page , also the business shown in the video in the

submission form part was never assigned to me.

#2 - 05/09/2021 03:11 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Saja Nakhleh

Dear Saja ,
http://185.98.225.148:8089/redmine/issues/1


This issue is has no applicable solution according to the complexities and huge number of cases that should be covered.

once the transaction entered the flow it becomes hard to change the action type of the transaction because to change the type data need to be

removed from the DB tables and inserted to another tables or updated in other tables .

#3 - 05/10/2021 11:52 AM - Saja Nakhleh

- Status changed from Feedback to Closed

verified and rejected due to technical limitation
